Overview
The Custom Webservice API allows integration with local stock systems to retrieve real-time product availability and pricing information.
Configuration
The Custom Webservice requires the following configuration settings:
apiUrl: The URL endpoint of your local stock webserviceapiAuthUser: Username for API authenticationapiAuthPassword: Password for API authenticationisPriceChangeEnabled: Whether price updates from the webservice are enabledisAvailabilityChangeEnabled: Whether availability updates from the webservice are enabled
Request
When the system needs to check stock availability or pricing, it sends a request to your configured API endpoint with JSON array as a request body. Multiple items could be requested at the same time.
POST /localstock HTTP/1.1
Authorization: Basic dGVzdDp0ZXN0
Content-Type: application/json; charset=utf-8
Host: localstock.tld
[
{
"supplierCodename": "custom1",
"itemCode": "1234",
"orderingNumber": "4567"
},
{
...
}
]
Request Fields
supplierCodename: string: Supplier identifieritemCode: string: Item identifierorderingNumber: string|nullAlternative item ordering number
Response Format
Your webservice should respond with body containing JSON array with item objects
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
Connection: close
[
{
"supplierCodename": "custom1",
"itemCode": "1234",
"orderingNumber": "4567",
"isAvailable": true,
"availableCount": 33,
"price": {
"amountWithoutVat": 100.00,
"currencyCode": "EUR",
"vatRate": 21.00
}
},
{
...
}
]
Response Fields
supplierCodename: string: Supplier identifieritemCode: string: Item identifierorderingNumber: string: (optional) Alternative product ordering numberisAvailable: bool: Indicates if the product is currently availableavailableCount: int|null: Number of available itemsprice: object|null: Price objectamountWithoutVat: Final price amount (excluding VAT)currencyCode: Currency code (e.g., EUR).vatRate: Applicable VAT rate percentage (e.g., 21.00 for 21%)